Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary: 	The basic bootscripts for CCux Linux.
Name: 		ccux-bootscripts
Version: 	1.4.4
Release: 	1
License: 	GNU/GPL
Source0:	%{name}-%{version}.tar.bz2
Source1:	utils-1.0.0.tar.bz2
Group: 		System/Base
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
Requires:	chkconfig iproute2
Prereq: 	/sbin/chkconfig
ExclusiveArch:	i686

%description
The basic bootscripts for CCux Linux.

%prep
%setup -q -n %{name}-%{version}
tar xfjp %{SOURCE1}

%build
cd utils-1.0.0
make

%install
# removing previous build
rm -rf $RPM_BUILD_ROOT

# Install utils
cd $RPM_BUILD_DIR/%{name}-%{version}/utils-1.0.0
make install ROOT=$RPM_BUILD_ROOT

# install ccux-bootscripts
cd $RPM_BUILD_DIR/%{name}-%{version}
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog
%_sysconfdir/rc.d/init.d/checkfs
%_sysconfdir/rc.d/init.d/cleanfs
%_sysconfdir/rc.d/init.d/functions
%_sysconfdir/rc.d/init.d/halt
%_sysconfdir/rc.d/init.d/console
%_sysconfdir/rc.d/init.d/localnet
%_sysconfdir/rc.d/init.d/loglevel
%_sysconfdir/rc.d/init.d/mountfs
%_sysconfdir/rc.d/init.d/mountkernfs
%_sysconfdir/rc.d/init.d/network
%_sysconfdir/rc.d/init.d/random
%_sysconfdir/rc.d/init.d/rc
%_sysconfdir/rc.d/init.d/reboot
%_sysconfdir/rc.d/init.d/sendsignals
%_sysconfdir/rc.d/init.d/setclock
%_sysconfdir/rc.d/init.d/swap
%_sysconfdir/rc.d/init.d/template
%_sysconfdir/rc.d/init.d/modules
%_sysconfdir/rc.d/rcsysinit.d/S00mountkernfs
%_sysconfdir/rc.d/rcsysinit.d/S20swap
%_sysconfdir/rc.d/rcsysinit.d/S30checkfs
%_sysconfdir/rc.d/rcsysinit.d/S40mountfs
%_sysconfdir/rc.d/rcsysinit.d/S50cleanfs
%_sysconfdir/rc.d/rcsysinit.d/S55loglevel
%_sysconfdir/rc.d/rcsysinit.d/S60setclock
%_sysconfdir/rc.d/rcsysinit.d/S05modules
%_sysconfdir/rc.d/rcsysinit.d/S80localnet
%_sysconfdir/rc.d/rcsysinit.d/S70console
%_sysconfdir/rc.d/rc0.d
%_sysconfdir/rc.d/rc3.d
%_sysconfdir/rc.d/rc4.d
%_sysconfdir/rc.d/rc5.d
%_sysconfdir/rc.d/rc6.d
%_sysconfdir/initlog.conf
/bin/doexec
/bin/ipcalc
/bin/usleep
/sbin/consoletype
/sbin/genhostid
/sbin/getkey
/sbin/initlog
/sbin/netreport
/sbin/ppp-watch
/sbin/service
/usr/sbin/usernetctl
%_mandir/man1/consoletype.1.gz
%_mandir/man1/doexec.1.gz
%_mandir/man1/genhostid.1.gz
%_mandir/man1/initlog.1.gz
%_mandir/man1/ipcalc.1.gz
%_mandir/man1/netreport.1.gz
%_mandir/man1/usleep.1.gz
%_mandir/man8/ppp-watch.8.gz
%_mandir/man8/usernetctl.8.gz				    
%_mandir/man8/service.8.gz

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Oct 29 2007 Christian Metzen <metzench@ccux-linux.de> 1.4.4-1
- cleanups in scripts
* Sat Oct 27 2007 Christian Metzen <metzench@ccux-linux.de> 1.4.3-1
- temp removed splash integration
* Sun Jan 21 2007 Christian Metzen <metzench@ccux-linux.de> 1.4.2-1
- removed network script from chkconfig, much safer
* Fri Jan 19 2007 Christian Metzen <metzench@ccux-linux.de> 1.4.1-2
- fixed bug with chkconfig, network wouldn't have been started
* Mon May 29 2006 Christian Wasem <wasem@ccux-linux.de> 1.4.1-1
- Update to Version 1.4.1
* Sun May 28 2006 Christian Wasem <wasem@ccux-linux.de> 1.4.0-1
- Update to Version 1.4.0
* Sat May 20 2006 Christian Metzen <metzench@ccux-linux.de> 1.3.2-1
- integrated chkconfig
* Fri Jan 06 2006 Christian Metzen <metzench@ccux-linux.de> 1.3.1-1
- rebuilt, added utils
* Sun Sep 04 2005 Christian Metzen <metzench@ccux-linux.de> 1.3.0-3
- Modified init functions